import 'package:doctor_app_flutter/models/SOAP/master_key_model.dart';

class MySelectedHistory {
  MasterKeyModel selectedHistory;
  String remark;
  bool isChecked;

  MySelectedHistory(
      { this.selectedHistory, this.remark, this.isChecked});

  MySelectedHistory.fromJson(Map<String, dynamic> json) {

    selectedHistory = json['selectedHistory'] != null
        ? new MasterKeyModel.fromJson(json['selectedHistory'])
        : null;
    remark = json['remark'];
    remark = json['isChecked'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();

    if (this.selectedHistory != null) {
      data['selectedHistory'] = this.selectedHistory.toJson();
    }
    data['remark'] = this.remark;
    data['isChecked'] = this.remark;
    return data;
  }
}
